﻿.radio-pen {
    width: 100%;
}

    .radio-pen #debt-amount-slider {
        display: -webkit-box;
        display: flex;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        flex-direction: row;
        align-content: stretch;
        position: relative;
        width: 100%;
        height: 60px;
        margin-top: 0px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

        .radio-pen #debt-amount-slider::before {
            content: " ";
            position: absolute;
            height: 2px;
            width: 100%;
            width: calc(99% * (4 / 5));
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            background: #3699FF;
        }

        .radio-pen #debt-amount-slider input, .form #debt-amount-slider label {
            box-sizing: border-box;
            -webkit-box-flex: 1;
            flex: 1;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        .radio-pen #debt-amount-slider label {
            text-align: left;
            display: inline-block;
            position: relative;
            width: 20%;
            height: 100%;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

            .radio-pen #debt-amount-slider label::before {
                content: attr(data-debt-amount);
                position: absolute;
                left: 50%;
                padding-top: 10px;
                -webkit-transform: translate(-50%, -25px);
                transform: translate(-50%, -25px);
                font-size: 14px;
                letter-spacing: 0.4px;
                font-weight: 400;
                white-space: nowrap;
                opacity: 0.85;
                -webkit-transition: all 0.15s ease-in-out;
                transition: all 0.15s ease-in-out;
                color: black
            }

            .radio-pen #debt-amount-slider label::after {
                content: " ";
                position: absolute;
                left: 50%;
                top: 50%;
                -webkit-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
                width: 32px;
                height: 32px;
                border: 2px solid #3699FF;
                background: #fff;
                border-radius: 50%;
                pointer-events: none;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
                z-index: 1;
                cursor: pointer;
                -webkit-transition: all 0.15s ease-in-out;
                transition: all 0.15s ease-in-out;
            }

            .radio-pen #debt-amount-slider label:hover::after {
                -webkit-transform: translate(-50%, -50%) scale(1.25);
                transform: translate(-50%, -50%) scale(1.25);
            }

        .radio-pen #debt-amount-slider input {
            display: none;
        }

            .radio-pen #debt-amount-slider input:checked + label::after {
                border-width: 4px;
                -webkit-transform: translate(-50%, -50%) scale(0.75);
                transform: translate(-50%, -50%) scale(0.75);
            }

        .radio-pen #debt-amount-slider .debt-amount-pos {
            display: block;
            position: absolute;
            top: 50%;
            width: 18px;
            height: 18px;
            left: 50%;
            background: #3699FF;
            border-radius: 50%;
            -webkit-transition: all 0.15s ease-in-out;
            transition: all 0.15s ease-in-out;
            -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            border: 2px solid #fff;
            opacity: 0;
            z-index: 2;
            cursor: pointer;
        }

        .radio-pen #debt-amount-slider input:checked ~ .debt-amount-pos {
            opacity: 1;
        }

    .radio-pen:valid #debt-amount-slider input + label::before {
        -webkit-transform: translate(-50%, 45px) scale(0.9);
        transform: translate(-50%, 45px) scale(0.9);
        -webkit-transition: all 0.15s linear;
        transition: all 0.15s linear;
    }

    .radio-pen:valid #debt-amount-slider input:checked + label::before {
        -webkit-transform: translate(-50%, 45px) scale(1.1);
        transform: translate(-50%, 45px) scale(1.1);
        -webkit-transition: all 0.15s linear;
        transition: all 0.15s linear;
    }
